----------------------------------------------
-- Beispielskript zur AEK 17 im Herbst 2014 --
-- Autor: Bernd Jungbluth                   --
-- Keine Gewhrleistung, keine Haftung      --		
----------------------------------------------

USE AEK;
GO

IF OBJECT_ID('dbo.pMergeArtikelgruppe') Is Not NULL
BEGIN
	DROP PROC dbo.pMergeArtikelgruppe;
END
GO


CREATE PROC dbo.pMergeArtikelgruppe 
	   @ArtikelgruppeID int,
	   @Artikelgruppe nvarchar(40), 
	   @AgBeschreibung nvarchar(max)
AS

SET NOCOUNT ON;

-- Table-Variable fr neue ID
DECLARE @tabID TABLE (NeueArtikelgruppeID int);

-- Variable fr neue ID
DECLARE @NeueArtikelgruppe int;

-- Daten ndern oder hinzufgen
MERGE	dbo.Artikelgruppen A
USING	(SELECT @ArtikelgruppeID As ArtikelgruppeID, 
				@Artikelgruppe As Artikelgruppe, 
				@AgBeschreibung As AgBeschreibung) D
		ON		A.ArtikelgruppeID = D.ArtikelgruppeID
WHEN MATCHED THEN
	UPDATE SET  A.Artikelgruppe = D.Artikelgruppe,
				A.AgBeschreibung = D.AgBeschreibung
WHEN NOT MATCHED THEN
	INSERT (Artikelgruppe, AgBeschreibung) 
	VALUES (D.Artikelgruppe, D.AgBeschreibung)
OUTPUT inserted.ArtikelgruppeID INTO @tabID
;

-- Neue Artikelgruppe speichern
SELECT @NeueArtikelgruppe = NeueArtikelgruppeID FROM @tabID; 

-- Ausgabe der aktuellen Daten und der neuen ArtikelgruppeID
SELECT	ArtikelgruppeID, Artikelgruppe, AgBeschreibung, 
		@NeueArtikelgruppe As NeueArtikelgruppeID
FROM	dbo.Artikelgruppen;


-- EXEC dbo.pMergeArtikelgruppen;